Bug 1474945 - Samba AD
Samba AD
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
ChangeAcceptedF27, SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 12:22 EDT by Jan Kurik
Modified: 2017-09-13 12:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-07-25 12:22:16 EDT
This is a tracking bug for Change: Samba AD
For more details, see: https://fedoraproject.org//wiki/Changes/Samba_AD

Samba AD is an open source implementation of an Active Directory set of tools and protocols. It allows Windows clients to be enrolled and managed using native Windows tools. In addition, Samba AD can serve as a domain controller for Fedora workstations and servers utilizing DCERPC, LDAP and Kerberos.
Comment 1 Jan Kurik 2017-08-10 02:18:14 EDT
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan
Comment 2 Andreas Schneider 2017-08-10 03:12:39 EDT
Samba AD is available in f27/rawhide if you install the samba-dc package. You need to provivion the domain controller with 'samba-tool'.

Currently we package Samba 4.7.0rc3 which works very well. Samba 4.7 will be released in September. Till then we need to fix some minor issues with packaging which upstream does not do correctly yet.

FreeIPA is already using the packages for testing!
Comment 3 Jan Kurik 2017-08-15 04:42:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 4 Jan Kurik 2017-09-06 09:38:32 EDT
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.